summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-08-31 22:07:10 +0000
committerMike Frysinger <vapier@gentoo.org>2005-08-31 22:07:10 +0000
commitdf7dee0b3771d2b4fe7d5e38864c3848fe5da9bf (patch)
treec63f7816ac2e13c03d0e141dce6a2bfb07bd5d94 /autogen.sh
parent0ceb45845762d41113e4cce75a1036682d78f073 (diff)
downloadeterm-df7dee0b3771d2b4fe7d5e38864c3848fe5da9bf.tar.gz
if some autotool fails, make sure we abort
SVN revision: 16446
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh20
1 files changed, 14 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index c494424..7b383a8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,6 +9,12 @@ broken() {
echo "ERROR: $1 not found."
exit -1
}
+abort() {
+ echo
+ echo "Running '$1' failed :("
+ echo "Try updating the package on your system and try again."
+ exit -2
+}
DIE=0
@@ -54,14 +60,16 @@ export LIBTOOLIZE ACLOCAL AUTOCONF AUTOHEADER AUTOMAKE
#fi
# Run the stuff.
-(set -x && $LIBTOOLIZE -c -f)
-(set -x && $ACLOCAL -I . $ACLOCAL_FLAGS)
-(set -x && $AUTOCONF)
-(set -x && $AUTOHEADER)
-(set -x && $AUTOMAKE -a -c)
+(set -x && $LIBTOOLIZE -c -f) || abort libtool
+(set -x && $ACLOCAL -I . $ACLOCAL_FLAGS) || abort libtool
+(set -x && $AUTOCONF) || abort libtool
+(set -x && $AUTOHEADER) || abort libtool
+(set -x && $AUTOMAKE -a -c) || abort libtool
# Run configure.
-./configure "$@"
+if test x"$NOCONFIGURE" = x; then
+(set -x && ./configure "$@")
+fi
if [ -f cvs.motd ]; then
echo "ATTENTION CVS Users!"